# 欢迎使用飞桨产业级开源模型库

## 简介

飞桨的产业级模型库，包含大量经过产业实践长期打磨的主流模型以及在国际竞赛中的夺冠模型；提供面向语义理解、图像分类、目标检测、图像分割、文字识别、语音合成等场景的多个端到端开发套件，满足企业低成本开发和快速集成的需求。飞桨的模型库是围绕国内企业实际研发流程量身定制打造的产业级模型库，服务企业遍布能源、金融、工业、农业等多个领域。

## 近期更新
**`2022-5-17`**: 更新`release/2.3`分支，飞桨官方模型超过500个，生态模型超过170个（数量持续更新中）.

**`2021-11-30`**: 更新`release/2.2`分支，系统的梳理了飞桨官方模型、学术模型和社区模型的清单，其中官方模型超过400个，生态模型超过100个

**`Note`**:`release/2.2`以后分支模型均基于动态图实现，目前`develop`分支中仍有一些静态图模型代码，有需要的开发者可以继续切换到`develop`分支使用.

## 主要内容
|  目录 |   说明 |
| --- | --- |
| [官方模型(official)](official/) |• 面向产业实践，数量超过500个<br />• [飞桨PP系列模型](official/PP-Models.md)，效果与精度最佳平衡<br />• 支持使用动态图开发视觉、自然语言、语音和推荐等领域模型<br />• 飞桨官方实现并提供持续技术支持及答疑<br />• 与飞桨核心框架版本对齐，已经经过充分的测试保证 |
|[学术模型(research)](research/) |• 面向学术前沿，侧重对于问题的持续更新<br />• 主要由飞桨相关的学术生态合作伙伴贡献|
|[社区模型(community)](community/) | • 面向更多丰富场景，侧重对于学术论文的覆盖<br />• 主要由飞桨生态开发者贡献，持续更新中|

## 欢迎加入飞桨模型库技术交流群
- 如果你希望了解飞桨模型库最新进展，或者希望与资深开发者一起讨论产业实践关注的重点模型，欢迎扫码加入飞桨模型库交流群：
- （微信扫码填写简单问卷即可添加小助手，加上好友之后回复"model" 即可入群）

<div align="center">
<img src="https://user-images.githubusercontent.com/23690325/165911212-cda07629-1bab-4cc3-8228-e5b69320fe4d.jpg"  width = "200" height = "200" />
</div>

<a name="致谢"></a>
## 致谢开发者
感谢所有为飞桨产业级模型库贡献代码的开发者，也期待你的加入。


## License
This tutorial is contributed by [PaddlePaddle](https://github.com/PaddlePaddle/Paddle) and licensed under the [Apache-2.0 license](LICENSE).


## 许可证书
此向导由[PaddlePaddle](https://github.com/PaddlePaddle/Paddle)贡献，受[Apache-2.0 license](LICENSE)许可认证。
