# 1. 飞桨模型库

## 1.1 模型介绍
本部分介绍每个模型的基本信息，包括模型背景、应用场景、快速开始及模型原理等，帮助大家全方位了解模型。

## 1.2 模型空间
本部分提供在线体验空间的所有代码，可实现基于模型的可视化demo APP。您可以对代码进行下载、预览，也可利用Streamlit和Gradio两种高效的方法，为模型打造炫酷的showcase效果。

## 1.3 模型下载
本部分提供模型各任务场景下的推理模型文件和预训练模型文件，您可以直接获取、下载体验。

## 1.4 模型Benchmark
本部分提供模型的训练和推理Benchmark，包括软硬件环境、数据集、训练和推理指标效果等评估数据。

## 1.5 模型范例
本部分提供模型相关的产业范例项目，每个范例均来源于真实业务场景，通过完整的代码实现，提供从数据准备到模型部署的全流程方案。您可以点击【运行一下】，感受模型实际的落地效果。


# 2. 快速体验

## 2.1 学习在 AI Studio 深度学习实训平台

此方式可直接跳转到AI Studio对应的模型项目页面。登陆后，您可以直接选择机器资源并运行，文档和代码会全部复制到项目中，欢迎您在线体验。

备注：AI Studio是基于飞桨的人工智能学习与实训社区，为开发者提供高效易用的学习和开发环境、丰富的体系化课程、海量开源实践项目和高价值的AI竞赛，并提供教育版支撑高校和机构老师轻松实现AI教学，助力深度学习人才培养。

## 2.2 实践在 BML 产业 AI 中台

此方式可直接跳转到BML AI中台对应的模型项目页面。登陆后，您可以直接选择机器资源并运行，文档和代码会全部复制到项目中，欢迎您在线体验。

备注：BML 全功能 AI 开发平台是一个面向企业和个人开发者的机器学习集成开发环境，为经典机器学习和深度学习提供了从数据处理、模型训练、模型管理到模型推理的全生命周期管理服务，帮助用户更快的构建、训练和部署模型。

## 2.3 下载压缩包到本地

此方式可以直接将模型代码压缩包到本地，在您自己的环境中使用和体验。需要注意的是，您需要提前安装好飞桨框架基础环境，安装链接见：https://www.paddlepaddle.org.cn/install/quick?docurl=/documentation/docs/zh/develop/install/pip/windows-pip.html

备注：压缩包内不包含模型训练文件和模型推理文件

# 3. 欢迎开发者参与共建
所有的源文件均开源在飞桨产业级模型库（[Models in GitHub](https://github.com/PaddlePaddle/models)）,（[Models in Gitee](https://gitee.com/PaddlePaddle/models)）,也欢迎广大开发者参与共建。
